// Теоретичні питання
//    1.Описати своїми словами навіщо потрібні функції у програмуванні.
//    2.Описати своїми словами, навіщо у функцію передавати аргумент.
//    3. Що таке оператор return та як він працює всередині функції?

//   Відповідь :
// 1. Функії ми використовуємо для того щоб можна було б повторити один і той самий код в різних частинах програми,
//  і щоб не повторювати один і той самий код ми використовуємо функцію
// 2. аргумент ми передаємо для того щоб вивести якесь значенняю
// 3. Оператор return може повернути результат який був переданий в код,оператор може знаходитися в люій частині кода
// і як тільки виконання до ходить до оператора від одразу перериває виконання і виводить результат.


//Завдання
// Реалізувати функцію, яка виконуватиме математичні операції з введеними користувачем числами.
// Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.
//
// Технічні вимоги:
// Отримати за допомогою модального вікна браузера два числа.
// Отримати за допомогою модального вікна браузера математичну операцію, яку потрібно виконати. Сюди може бути введено +, -, *, /.
// Створити функцію, в яку передати два значення та операцію.
// Вивести у консоль результат виконання функції.

// Необов'язкове завдання підвищеної складності:
// Після введення даних додати перевірку їхньої коректності.
// Якщо користувач не ввів числа, або при вводі вказав не числа,
// - запитати обидва числа знову (при цьому значенням за замовчуванням для кожної зі змінних має бути введена інформація раніше).

const calc = () => {
    let oneNumber = Number(prompt("Введите первое число"));
    while (oneNumber === null || isNaN(oneNumber)) {
        oneNumber =  Number(prompt("Введите первое число"))
    }
    let twoNumber = Number(prompt("Ведите второе число"));
    while (twoNumber === null || isNaN(twoNumber)) {
        twoNumber = Number(prompt("Ведите второе число"))
    }
    let operation = prompt("Введите Математическую операцию одну из: +, -, /, *");
    while (operation !== "+" && operation !== "-" && operation !== "/" && operation !== "*") {
        operation = prompt("Введите Математическую операцию одну из: +, -, /,*")
    }

    let result = null;
    switch (operation) {
        case "+":
            result = oneNumber + twoNumber;
            break;
        case "-":
            result = oneNumber - twoNumber;
            break;
        case "*":
            result = oneNumber * twoNumber;
            break;
        case "/":
            result = oneNumber / twoNumber;
            break;
    }
    console.log(result)
}
calc ()







